org.apache.tomcat.util.http.fileupload

## Class MultipartStream.ProgressNotifier

- java.lang.Object
- - org.apache.tomcat.util.http.fileupload.MultipartStream.ProgressNotifier

- Enclosing class:
    MultipartStream

      public static class MultipartStream.ProgressNotifier
      extends Object

  Internal class, which is used to invoke the `ProgressListener`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultipartStream.ProgressNotifier(ProgressListener pListener, long pContentLength)` Creates a new instance with the given listener and content length.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `noteItem()` Called to indicate, that a new file item has been detected.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultipartStream.ProgressNotifier

          public MultipartStream.ProgressNotifier(ProgressListener pListener,
                                          long pContentLength)

      Creates a new instance with the given listener and content length.
      Parameters:
        `pListener` - The listener to invoke.
        `pContentLength` - The expected content length.

  - ### Method Detail

    - #### noteItem

          public void noteItem()

      Called to indicate, that a new file item has been detected.

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.